///////////////////////////////////////////////////////////////////
// Dialogue for Kivan
///////////////////////////////////////////////////////////////////
BEGIN MOKIVAN1

IF ~Global("bd_kivan_followup","GLOBAL",0)
AreaCheck("bd1000")~ THEN BEGIN 0
  SAY @7001 = @7002
  IF ~~ THEN REPLY @7003 GOTO 3  // It's none of your concern, Kivan. 
  IF ~~ THEN REPLY @7004 GOTO 1  // We are on the hunt for Caelar.
END

IF ~~ THEN BEGIN 1
  SAY @7005 = @7006 
  IF ~~ THEN REPLY @7007 GOTO 3 // I think we will fair better without your assistance.
  IF ~~ THEN REPLY @7008 GOTO 2 // Yes, we will be happy to have you join us.
END

IF ~~ THEN BEGIN 2
  SAY @7010
  IF ~~ THEN DO ~SetGlobal("bd_kivan_followup","GLOBAL",1) 
JoinParty()~ EXIT
END

IF ~~ THEN BEGIN 3
  SAY @7009
  IF ~~ THEN DO ~SetGlobal("bd_kivan_followup","GLOBAL",1)~ EXIT
END

IF ~Global("bd_kivan_followup","GLOBAL",1)
!InParty("Kivan")~ THEN BEGIN 4
  SAY @7027
  IF ~~ THEN REPLY @7007 GOTO 3 // I think we will fair better without your assistance.
  IF ~~ THEN REPLY @7008 GOTO 2 // Yes, we will be happy to have you join us.
END